Bug 2827 - Feature request: Add TLS/SSL support for LDAP server access
Summary: Feature request: Add TLS/SSL support for LDAP server access
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.9.0
Hardware: PC Windows NT
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-11-27 22:16 CET by pvoigt
Modified: 2015-07-01 13:43 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pvoigt 2012-11-27 22:16:35 CET
Latest Windows version of Claws Mail under 
http://www.claws-mail.org/win32/claws-mail-3.9.0cvs12-pkg23.exe
currently does not support TLS/SSL connections to LDAP servers.

Could this feature please be added in the same way as found in the Linux versions of 3.9.0? There are TLS and SSL checkboxes near the port field.
Comment 1 users 2015-06-20 23:07:02 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2015-06-20 23:07:02.243024410 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=e6c527f1b5ace017c6e7192e57b40a688ef0baf7
Merge: 022303e 8ae2860
Author: Colin Leroy <colin@colino.net>
Date:   Sat Jun 20 23:07:01 2015 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=8ae2860c5457214ab955f1783bd67a8f61e6823e
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Sat Jun 20 23:03:50 2015 +0200

    Allow TLS connections to LDAP on Windows.
    
    The comment no longer applies, TLS seems to work fine for LDAP
    connections on Windows. Closes bug #2827 - Feature request: Add
    TLS/SSL support for LDAP server access